> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pushcash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List user credentials

> Retrieves a list of user credentials



## OpenAPI

````yaml /openapi.yaml get /user/{id}/credential/list
openapi: 3.0.1
info:
  title: Push API
  version: 0.0.1
servers:
  - url: https://api.pushcash.com
    description: Production API
  - url: https://sandbox.pushcash.com
    description: Sandbox API used for developing an integration with Push
security:
  - bearer: []
tags:
  - name: user
  - name: tokenization
  - name: authorization
  - name: intent
  - name: dispute
  - name: refund
  - name: accounts
  - name: transactions
  - name: transfer
paths:
  /user/{id}/credential/list:
    get:
      tags:
        - user
      summary: List user credentials
      description: Retrieves a list of user credentials
      operationId: listCredentials
      parameters:
        - name: id
          in: path
          description: The push identifier for the user
          required: true
          schema:
            type: string
            example: user_28CJjV7P4Go5PNJvfzghiD
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserCredential'
                required:
                  - data
              example:
                data:
                  - id: cred_7YlA9IiSl8UZvNwNSbFajV
                    created_at: '2023-05-24T20:15:18.158Z'
                    card_last4: '4444'
                    authenticated: true
                    type: secure_debit
                    account_last4: '0685'
                    bank_name: Chase Bank
                  - id: cred_8ZlB0JjTm9VZaOxOTcGbkW
                    created_at: '2023-05-25T10:20:30.123Z'
                    card_last4: '1234'
                    authenticated: true
                    type: card_only_credit
                    account_last4: null
                    bank_name: null
                  - id: cred_9AmC1KkUn0WabPyPUdHclX
                    created_at: '2023-05-26T14:35:45.456Z'
                    card_last4: '5678'
                    authenticated: true
                    type: card_only_debit
                    account_last4: null
                    bank_name: null
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    UserCredential:
      type: object
      example:
        id: cred_7YlA9IiSl8UZvNwNSbFajV
        created_at: '2023-05-24T20:15:18.158Z'
        card_last4: '4444'
        authenticated: true
        type: secure_debit
        account_last4: '0685'
        bank_name: Chase Bank
      properties:
        id:
          type: string
          description: The unique identifier assigned by Push
        created_at:
          type: string
          format: date-time
          description: When the payment credential was created (ISO 8061 date string)
        card_last4:
          type: string
          description: The last 4 digits of the card number
        authenticated:
          type: boolean
          description: >-
            For `secure_debit` credentials, whether the user has authenticated
            with the bank.
        type:
          description: >
            The type of payment credential:

            - `secure_debit`: A debit card which can be used for withdrawals and
            deposits

            - `card_only_credit`: A credit card which can be used for deposits
            alone

            - `card_only_debit`: A debit card which can be used for deposits
            alone
          type: string
          enum:
            - secure_debit
            - card_only_credit
            - card_only_debit
        account_last4:
          type: string
          description: >-
            For authenticated `secure_debit` credentials, the last 4 digits of
            the bank account number for the user's account. This field is `null`
            otherwise.
          nullable: true
        bank_name:
          type: string
          description: >-
            For `secure_debit` credentials, the name of the user's bank. This
            field is `null` otherwise.
          nullable: true
      required:
        - id
        - created_at
        - card_last4
        - authenticated
        - type
        - account_last4
        - bank_name
    error:
      description: Description of the error encountered from the API request
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````